Search or resolve symbols
curl --request GET \
--url https://api.itoflow.ai/symbols/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/symbols/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/symbols/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"code": "AAPL",
"currency": "<string>",
"exchange": "US",
"name": "Apple Inc",
"symbol": "AAPL.US",
"type": "<string>"
}
],
"total": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Market data
Search or resolve symbols
Search symbols by ticker/company with fuzzy matching, or resolve one fully qualified SYMBOL.EXCHANGE with mode=exact.
Operation ID: getSymbolsSearch.
GET
https://api.itoflow.ai
/
symbols
/
search
Search or resolve symbols
curl --request GET \
--url https://api.itoflow.ai/symbols/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/symbols/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/symbols/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"code": "AAPL",
"currency": "<string>",
"exchange": "US",
"name": "Apple Inc",
"symbol": "AAPL.US",
"type": "<string>"
}
],
"total": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}